Package org.jcsp.plugNplay.ints

# Class SquaresInt

java.lang.Object
org.jcsp.plugNplay.ints.SquaresInt

All Implemented Interfaces:
  `CSProcess`

public final class SquaresInt extends Object implements CSProcess
Generates the integer stream `1*1, 2*2, 3*3, etc` by a somewhat unusual route.

## Process Diagram

### External View

### Internal View

## Description

`SquaresInt` generates the sequence of squares of the Natural numbers (starting from 1).

## Channel Protocols

Output Channels
out | int | All channels in this package carry integers.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`SquaresInt(ChannelOutputInt out)`
Construct a new SquaresInt process with the output Channel out.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SquaresInt

public SquaresInt(ChannelOutputInt out)
Construct a new SquaresInt process with the output Channel out.

Parameters:
  `out` - the output channel

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`